Subject: Re: bug#29272: 26.0.90; "C-h k C-mouse-3" followed by menu selection asks for more keys

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Nov 2017 19:55:07 +0200

> Date: Wed, 29 Nov 2017 09:39:38 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > What happens in the Lucid build?
> 
> Here menus with Lucid, Motif and pure X (without toolkit) builds behave
> differently from GTK/Windows ones: They are immediately pulled down when
> I release the mouse button.  So I have to continuously keep a mouse
> button pressed during menu interaction (although I'm free to release any
> modifier key).  Also, at least here, menu tooltips are broken - they
> show an empty line only.  Only after the menu is pulled down, a correct
> tooltip might appear, see below.
> 
> Else not much happens - I see in the echo area
> 
> Describe the following key, mouse click, or menu item: C-down-mouse-3-
> 
> and moving the mouse to some selectable item replaces that text by
> 
> Describe the following key, mouse click, or menu item:
> 
> sometimes resizing the echo area to two lines and displaying the correct
> tooltip text after the menu was pulled down.  `view-lossage' doesn't
> show anything of interest.

That means the same problem probably exists in a non-toolkit build.